﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Specialized
Imports System.Configuration

Namespace NorthwindCacheDemo.BLL
	Public NotInheritable Class ServiceLayer
		Private Shared _catalogService As CatalogService

		Private Shared _orderService As OrderService

		Private Sub New()
		End Sub
		Shared Sub New()
			_catalogService = New CatalogService()
			_orderService = New OrderService()
		End Sub

		Public Shared ReadOnly Property CatalogService() As CatalogService
			Get
				Return _catalogService
			End Get
		End Property

		Public Shared ReadOnly Property OrderService() As OrderService
			Get
				Return _orderService
			End Get
		End Property
	End Class
End Namespace
