﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Specialized
Imports System.Configuration

Namespace NorthwindCacheDemo.CL
	Public NotInheritable Class CacheLayer
		Private Shared _catalogCache As ICatalogCache

		Private Sub New()
		End Sub
		Shared Sub New()
			Dim config As NameValueCollection = CType(ConfigurationManager.GetSection("northwindCacheDemo"), NameValueCollection)

			Dim t As Type = Type.GetType(config("CatalogCache"))
			_catalogCache = CType(Activator.CreateInstance(t), ICatalogCache)
		End Sub

		Public Shared ReadOnly Property CatalogCache() As ICatalogCache
			Get
				Return _catalogCache
			End Get
		End Property
	End Class
End Namespace
