﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic

Imports NorthwindCacheDemo.DTO

Namespace NorthwindCacheDemo.DAL
	Public Interface ICatalogProvider
		Function GetCategories() As IList(Of Category)

		Function GetCategory(ByVal id As Integer) As Category

		Function GetProduct(ByVal id As Integer) As Product

		Function GetProductsByCategory(ByVal id As Integer) As IList(Of Product)

		Function GetPopularProducts() As IList(Of Product)

		Function GetPopularProductsByCategory(ByVal id As Integer) As IList(Of Product)

		Function GetAlsoPurchasedProducts(ByVal id As Integer) As IList(Of Product)
	End Interface
End Namespace
