﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Configuration

Imports NorthwindCacheDemo.DTO
Imports NorthwindCacheDemo.BLL

Partial Public Class Catalog
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		If (Not IsPostBack) Then
			Dim id As Integer = Convert.ToInt32(Request.Params("id"))

			Dim c As Category = ServiceLayer.CatalogService.GetCategory(id)
			Dim products As IList(Of Product) = ServiceLayer.CatalogService.GetProductsByCategory(id)

			CategoryLabel.Text = c.Name
			CategoryImage.ImageUrl = String.Format("~/images/{0}.jpg", c.CategoryID)

			ProductGridView.DataSource = products
			ProductGridView.DataBind()
		End If
	End Sub
End Class
