﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls

Imports NorthwindCacheDemo.DTO
Imports NorthwindCacheDemo.BLL

Partial Public Class _Default
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		If (Not IsPostBack) Then
			ProductCategoryDataList.DataSource = ServiceLayer.CatalogService.GetCategories()
			ProductCategoryDataList.DataBind()

			PopularProductRepeater.DataSource = ServiceLayer.CatalogService.GetPopularProducts()
			PopularProductRepeater.DataBind()
		End If
	End Sub

	Protected Sub ProductCategoryDataList_ItemDataBound(ByVal sender As Object, ByVal e As DataListItemEventArgs)
		Dim cat As Category = CType(e.Item.DataItem, Category)
		Dim r As Repeater = CType(e.Item.FindControl("ProductRepeater"), Repeater)
		r.DataSource = ServiceLayer.CatalogService.GetPopularProductsByCategory(cat.CategoryID)
		r.DataBind()
	End Sub
End Class
